# Generated by Django 4.1.7 on 2024-04-29 08:59

import django.core.validators
import enumfields.fields
from django.db import migrations, models

import arkindex.ponos.models


class Migration(migrations.Migration):

    dependencies = [
        ("ponos", "0007_remove_task_has_docker_socket"),
    ]

    operations = [
        migrations.AddField(
            model_name="agent",
            name="mode",
            field=enumfields.fields.EnumField(default="docker", enum=arkindex.ponos.models.AgentMode, max_length=20),
        ),
        migrations.AlterField(
            model_name="agent",
            name="cpu_cores",
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name="agent",
            name="cpu_frequency",
            field=models.BigIntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name="agent",
            name="ram_total",
            field=models.BigIntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AddConstraint(
            model_name="agent",
            constraint=models.CheckConstraint(check=models.Q(("mode", arkindex.ponos.models.AgentMode["Slurm"]), models.Q(("cpu_cores__isnull", False), ("cpu_frequency__isnull", False), ("ram_total__isnull", False)), _connector="OR"), name="slurm_or_hardware_requirements"),
        ),
    ]
